Bug 1570184 - RGW code has two different default pools.
Summary: RGW code has two different default pools.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: 3.*
Assignee: Matt Benjamin (redhat)
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 20:23 UTC by John Wilkins
Modified: 2019-08-22 15:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-22 15:47:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Wilkins 2018-04-20 20:23:24 UTC
Description of problem:


grep -rn ".rgw.root"
common/options.cc:5361:    .set_default(".rgw.root")
common/options.cc:5383:    .set_default(".rgw.root")
common/options.cc:5402:    .set_default(".rgw.root")
common/options.cc:5418:    .set_default(".rgw.root")
common/options.cc:5430:    .set_default(".rgw.root")
rgw/rgw_rados.cc:122:static string RGW_DEFAULT_ZONE_ROOT_POOL = "rgw.root";
rgw/rgw_rados.cc:123:static string RGW_DEFAULT_ZONEGROUP_ROOT_POOL = "rgw.root";
rgw/rgw_rados.cc:124:static string RGW_DEFAULT_REALM_ROOT_POOL = "rgw.root";
rgw/rgw_rados.cc:125:static string RGW_DEFAULT_PERIOD_ROOT_POOL = "rgw.root";

Comment 3 Giridhar Ramaraju 2019-08-05 13:10:37 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 4 Giridhar Ramaraju 2019-08-05 13:11:38 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri


Note You need to log in before you can comment on or make changes to this bug.